Bug 125983 - AIO compatibility system calls not implemented
AIO compatibility system calls not implemented
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Moyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 15:26 EDT by Jeff Moyer
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 00:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change ia32 entry points for aio calls to point at compat syscalls (785 bytes, patch)
2004-06-14 15:39 EDT, Jeff Moyer
no flags Details | Diff

  None (edit)
Description Jeff Moyer 2004-06-14 15:26:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
32 binaries using kernel AIO will fail with I/O errors.

Version-Release number of selected component (if applicable):
kernel-2.4.21-15.EL

How reproducible:
Always

Steps to Reproduce:
1. build aio-stress on a 32bit intel system
2. copy to x86_64
3. install libaio for i386
4. run aio-stress
    

Actual Results:  I/O errors

Expected Results:  success

Additional info:
Comment 1 Jeff Moyer 2004-06-14 15:39:54 EDT
Created attachment 101124 [details]
change ia32 entry points for aio calls to point at compat syscalls

patch submitted for review.
Comment 2 Ernie Petrides 2004-06-15 06:09:25 EDT
A fix for this problem has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.11.EL).
Comment 3 John Flanagan 2004-09-02 00:31:48 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html

Note You need to log in before you can comment on or make changes to this bug.